services:
  magicmirror:
    image: karsten13/magicmirror:latest
    ports:
      - "8083:8080"
    volumes:
      - magicmirror_config:/opt/magic_mirror/config
      - magicmirror_modules:/opt/magic_mirror/modules
      - magicmirror_css:/opt/magic_mirror/css
    restart: unless-stopped
    command:
      - npm
      - run
      - server
    deploy:
      placement:
        constraints: [node.labels.isDNS == false]
